General Leads
Get filter badge counts
Get the count of leads for each filter category (all, accepted, requires attention). Useful for dashboard badges.
GET
/
general-leads
/
filter-counts
Get filter badge counts
curl --request GET \
--url https://www.renovationfind.com/rest-api-v1/general-leads/filter-counts \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.renovationfind.com/rest-api-v1/general-leads/filter-counts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.renovationfind.com/rest-api-v1/general-leads/filter-counts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"allLeadsCount": 123,
"acceptedLeadsCount": 123,
"requiresAttentionLeadsCount": 123
}
}{
"success": false,
"error": "Rate limit exceeded. Maximum 250 requests per 5 minutes. Please retry later."
}Previous
Get lead detailsGet full details of a single vendor-assigned lead. Automatically marks the lead as viewed.
Customer contact information (email, phone, address) is only included if the lead has been accepted.
Next
⌘I
Get filter badge counts

